#version 410 core

layout (location = 0) in float type_vs;
layout (location = 1) in vec3 position_vs;
layout (location = 2) in vec3 velocity_vs;
layout (location = 3) in float lifetime_ms_vs;
layout (location = 4) in float decay_factor_vs;
layout (location = 5) in float total_lifetime_ms_vs;
layout (location = 6) in float curr_frame_vs;
layout (location = 7) in float size_vs;
layout (location = 8) in float start_color_vs;
layout (location = 9) in float end_color_vs;

out float type_gs;
out vec3 position_gs;
out vec3 velocity_gs;
out float lifetime_ms_gs;
out float decay_factor_gs;
out float total_lifetime_ms_gs;
out float curr_frame_gs;
out float size_gs;
out float start_hue_gs;
out float end_hue_gs;

void main() {
	type_gs = type_vs;
	position_gs = position_vs;
	velocity_gs = velocity_vs;
	lifetime_ms_gs = lifetime_ms_vs;
	decay_factor_gs = decay_factor_vs;
	total_lifetime_ms_gs = total_lifetime_ms_vs;
	curr_frame_gs = curr_frame_vs;
	size_gs = size_vs;
	start_hue_gs = start_color_vs;
	end_hue_gs = end_color_vs;
}