#version 410 core

in vec3 frag_normal;
in vec3 frag_pos;

uniform samplerCube skybox_sampler;
uniform vec3 camera_pos;

out vec4 color;

void main(void) {
	vec3 view_vec = normalize(frag_pos - camera_pos);
	vec3 reflection_vec = reflect(view_vec, normalize(frag_normal));

	color = texture(skybox_sampler, reflection_vec);
}