#version 410 core

precision mediump float;

in vec2 uv;
in vec2 uv_blurred[6];

uniform sampler2D tex;
uniform float weight[7] = float[] (0.00598, 0.060626, 0.241843, 0.383103, 0.241843, 0.060626, 0.00598);

out vec4 color;

void main(void) {
	color = vec4(0.0);
    color += texture(tex, uv_blurred[0]) * weight[0];
    color += texture(tex, uv_blurred[1]) * weight[1];
    color += texture(tex, uv_blurred[2]) * weight[2];
    color += texture(tex, uv           ) * weight[3];
    color += texture(tex, uv_blurred[3]) * weight[4];
	color += texture(tex, uv_blurred[4]) * weight[5];
	color += texture(tex, uv_blurred[5]) * weight[6];
}