#version 410

in vec2 uv;

uniform sampler2D diffuse_sampler;
uniform bool draw_background;

out vec4 color;

void main() {
	if(draw_background)
		color = vec4(0,0,0,1);
	else
		color = vec4(texture(diffuse_sampler, uv).rgb, 1);
}