#version 410

layout (location = 0) in vec3 vertex_pos;
layout (location = 2) in vec2 vertex_uv;

uniform mat4 m_matrix;
uniform mat4 vp_matrix;

out vec2 uv;

void main() {
    gl_Position = vp_matrix * m_matrix * vec4(vertex_pos, 1.0);
	uv = vertex_uv;
}
