#version 410 core

uniform vec3 vertex_pos;
uniform float decay_factor;
uniform float curr_frame;
uniform float size;
uniform float start_hue;
uniform float end_hue;
uniform mat4 v_matrix;

out float curr_frame_gs;
out float size_gs;
out float decay_factor_gs;
out float hue_gs;

void main() {
	gl_Position = v_matrix * vec4(vertex_pos, 1.0);
	curr_frame_gs = curr_frame;
	size_gs = size;	
	decay_factor_gs = decay_factor;
	hue_gs = start_hue * (1.0 - decay_factor) + end_hue * decay_factor;
}