#version 410 core

in vec4 frag_pos;

uniform vec3 light_world_pos;
uniform float far_plane;

void main() {
    float light_distance = length(frag_pos - vec4(light_world_pos, 1.0));
    light_distance = light_distance / far_plane;
    gl_FragDepth = light_distance;
}
